[PhAzE] Plugins for Unraid 5/6


3606 posts in this topic Last Reply

Recommended Posts

Does anyone have trouble signing in with their plex pass account? I just get

Unable to login to Plex Pass with above credentials.
. It's stopping my updating so I can't use my iOS devices :(

 

Edit/Opened up the plexmediaserver.cfg and saw that my password was the old one. Seems it doesn't update from the plugin settings page. I edited the file manually but still no joy, hmm

Sign in to Plex Pass failed. Please check username and password. Aborting installation.
Link to post
  • Replies 3.6k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Just a quick update, unRaid 6.4 looks like it will be using nginx for the web front end over emhttp (which is a good switch IMO) but that means there is a good chance all of my plugins will not work o

Important info regarding unRAID 6.2 and beyond.          ***unRAID 6.2 Compatible*** Hello again!   I've done another overhaul of the plugins

Unfortunately, @PhAzE no longer seems to be active at all within these forums.  His last time online was March 23, and his last posting was on February 22.  I'm sure I speak for all of us in hoping th

Posted Images

Hi All

 

I need assistance with updating my Phaze Plex plugin.

 

From the unraid gui, I perform a manual update check and it finds an updated version of plugin and when I click on install, I get the following messages:

 

Updating plugin

installing plugin: Plexmediaserver

file /tmp/Plexmediaserver-sscript: successfully wrote INLINE file contents

/bin/bash /tmp/Plexmediaserver-script ...

Cleaning up previous install files ...

...cleanup complete!

Downloading any missing plugin files...

Latest plugin control files downloading

...Unable to download missing plugin control files. Aborting install.

 

Has anyone see this error before and know how to fix it?

Is there another way to update this plugin?

 

Thanks

Link to post

You can manually download the file. Open the plugin file in a text editor and the link for the control file is at the top. (Replace &name; with Plexmediaserver) and put it in the bundle folder at /boot/config/plugins/Plexmediaserver/  then try the update again.

 

Sometimes github is unreachable and that's why the plugin can't get the file it needs. Since people have had success by changing their dns to 8.8.8.8 temporarily.

Link to post

You can manually download the file. Open the plugin file in a text editor and the link for the control file is at the top. (Replace &name; with Plexmediaserver) and put it in the bundle folder at /boot/config/plugins/Plexmediaserver/  then try the update again.

 

Sometimes github is unreachable and that's why the plugin can't get the file it needs. Since people have had success by changing their dns to 8.8.8.8 temporarily.

 

Are you referring to the latest plex version to download manually? Do you have the url for the file to download?

Link to post

You can manually download the file. Open the plugin file in a text editor and the link for the control file is at the top. (Replace &name; with Plexmediaserver) and put it in the bundle folder at /boot/config/plugins/Plexmediaserver/  then try the update again.

 

Sometimes github is unreachable and that's why the plugin can't get the file it needs. Since people have had success by changing their dns to 8.8.8.8 temporarily.

 

Are you referring to the latest plex version to download manually? Do you have the url for the file to download?

Like he said

... Open the plugin file in a text editor and the link for the control file is at the top. (Replace &name; with Plexmediaserver) ...

Link to post

Ok here is the Ubooquity plugin for testing. I just want to make sure it installs correctly and runs before i release it officially on the first page.  I've tested it myself and see no issues so far.

 

UBOOQUITY

 

Let me know if anything looks strange or isn't working and I'll try to fix it right away.

 

Just a quick note on this v3 plugin, dependencies for this are installed to the cache drive if you have one, and to the usual spot if you don't.  If all goes well with this plugin's functionality, I will be updating the rest of the plugins to follow this method as it will clear up a lot of RAM on our servers (again only if you have a cache drive present).

 

There is a loading animation now that tells you what the plugin is doing on page load, however it only works on unraid 6. I can't seem to get the DIV to load on unraid 5 before the rest of the page loads. I have no idea why but I gave up trying after a week. If anyone has experience with web programming and is using unraid 5, and wants to check the PHP file (it is right near the top of the file) to see how to force the animation to load on unraid 5, be my guest.  Unraid 6 it just worked as it was supposed to.

 

Sorry for the delay on getting back to you as I've been pretty busy as of late! I put a +1 on the feature request thread as on the Ubooquity website, as requested by you.

Installing now and will be testing it over this this weekend!

 

Also, your description for your Ubooquity PLG is from your SickBeard PLG ;)

 

Thanks again!

 

Update: Installed like a champ with no issues and LOVE the update animation!

Link to post

Hi PhAzE,

 

Just some quick feedback after spending some time with the Ubooquity plugin.

 

Overall:

Excellent job! Thanks for getting this knocked out so quickly and it runs great! I'm doing some more testing with it over the weekend and will let you know if anything negative jumps out, but I would say it's pretty much "good to go" for public release.

 

Minor Issue 1:

The configuration page is missing since it appears to be handled by your plugin configuration section, so with that said, it's missing the "Public Address" info to be able to access your server via the Internet as seen here: http://vaemendis.net/ubooquity/data/images/screenshots/main_window.jpg

 

No big deal, but I think for the sake of ease of use and for people who aren't sure where to find this information right away, it can be a bit of research.

 

Minor Issue 2:

The plugin configuration page has a "Base URL" field. What's that for? I don't see that field in the Ubooquity documentation, so not sure other than to experiment with it. I would suggest maybe a mouseover bubble to explain this field.

 

Minor issue with Ubooquity itself:

Looks like Ubooquity will display hidden files when initially scanning your libraries, so the amount of pages in your Ubooquity library will double due to displaying the hidden ._filenames for every single file you have in your share folder if you're operating in an OSX / Linux (I believe) environment. In my case, it was over 10,000+ eComics that got doubled to 20,000 entries in Ubooquity!

 

I've opened a feature request with the developer and they agree that the ability to make files hidden is needed and will be added to the planning roadmap.

Just a heads up for anyone else that might encounter this issue as you'll definitely have shared users contacting you about not being able to view some files and the duplication.

Link to post

Hi PhAzE,

 

Just some quick feedback after spending some time with the Ubooquity plugin.

 

Overall:

Excellent job! Thanks for getting this knocked out so quickly and it runs great! I'm doing some more testing with it over the weekend and will let you know if anything negative jumps out, but I would say it's pretty much "good to go" for public release.

 

Minor Issue 1:

The configuration page is missing since it appears to be handled by your plugin configuration section, so with that said, it's missing the "Public Address" info to be able to access your server via the Internet as seen here: http://vaemendis.net/ubooquity/data/images/screenshots/main_window.jpg

 

No big deal, but I think for the sake of ease of use and for people who aren't sure where to find this information right away, it can be a bit of research.

 

Minor Issue 2:

The plugin configuration page has a "Base URL" field. What's that for? I don't see that field in the Ubooquity documentation, so not sure other than to experiment with it. I would suggest maybe a mouseover bubble to explain this field.

 

Minor issue with Ubooquity itself:

Looks like Ubooquity will display hidden files when initially scanning your libraries, so the amount of pages in your Ubooquity library will double due to displaying the hidden ._filenames for every single file you have in your share folder if you're operating in an OSX / Linux (I believe) environment. In my case, it was over 10,000+ eComics that got doubled to 20,000 entries in Ubooquity!

 

I've opened a feature request with the developer and they agree that the ability to make files hidden is needed and will be added to the planning roadmap.

Just a heads up for anyone else that might encounter this issue as you'll definitely have shared users contacting you about not being able to view some files and the duplication.

 

Minor Issue 1: If that information is available via the application, I can add it into my plugin settings page. The application settings page where you configure everything isn't handled by me, but is in fact made by the dev for headless servers. My plugin settings page gets this information from the app's configuration file. I'm not sure if that IP is saved in the config file though, and it doesn't seem to be a part of the developers configuration page either.

 

Minor Issue 2: URL Base is the "Reverse proxy prefix". That's what the dev calls it in his settings page.  So you want to use a reverse proxy, instead of having your URL looking like http://tower:9090/  (assuming you chose 9090 as your port) you can change it to be http://tower:9090/ubooquity  (or anything you want really).  It essentially adds a word to the end of the URL as a sub folder where all the other folders will display under. 

 

Thanks for the feedback. As I update all the other plugins to V3 I'm finding stuff that I need to change in the V3's i've already converted, which is why I haven't officially released Ubooquity yet. 

Link to post

Also, just for everyone to know, my plugins are not tested with Unraid 6.1 and from what I read of the changes made, they will not work.  I'm not sure if I'll have them ready before final release either as there are some major changes that are required which makes backwards compatibility a lot harder.

Link to post

Also, just for everyone to know, my plugins are not tested with Unraid 6.1 and from what I read of the changes made, they will not work.  I'm not sure if I'll have them ready before final release either as there are some major changes that are required which makes backwards compatibility a lot harder.

 

Aha! This would explain why I have to commandline stop/start/update ;)

 

Link to post

Also, just for everyone to know, my plugins are not tested with Unraid 6.1 and from what I read of the changes made, they will not work.  I'm not sure if I'll have them ready before final release either as there are some major changes that are required which makes backwards compatibility a lot harder.

 

You *may wish to put this on the OP, as most people will likely scan that page instead of delving into many pages of posts.

Just a suggestion to keep your sanity :)

Link to post

Also, just for everyone to know, my plugins are not tested with Unraid 6.1 and from what I read of the changes made, they will not work.  I'm not sure if I'll have them ready before final release either as there are some major changes that are required which makes backwards compatibility a lot harder.

 

You *may wish to put this on the OP, as most people will likely scan that page instead of delving into many pages of posts.

Just a suggestion to keep your sanity :)

Done, bold red lettering and everything.

 

unRAID 6.1 essentially jails all plugins, which is where the problem occurs when sending commands from php (web interface) to the command line.  Assuming I can get around that easily, I'll then need to test if it breaks the applications themselves or not.  If not, then updating for 6.1 will at least be possible, and will happen in the next round of updates.

Link to post

Also, just for everyone to know, my plugins are not tested with Unraid 6.1 and from what I read of the changes made, they will not work.  I'm not sure if I'll have them ready before final release either as there are some major changes that are required which makes backwards compatibility a lot harder.

 

You *may wish to put this on the OP, as most people will likely scan that page instead of delving into many pages of posts.

Just a suggestion to keep your sanity :)

Done, bold red lettering and everything.

 

unRAID 6.1 essentially jails all plugins, which is where the problem occurs when sending commands from php (web interface) to the command line.  Assuming I can get around that easily, I'll then need to test if it breaks the applications themselves or not.  If not, then updating for 6.1 will at least be possible, and will happen in the next round of updates.

 

Groovy - I'm sure that will save yo-u some (WTF?!?!?!) in the long run :)

I've rolled back to 6.0.1 because, honestly, your plugins are the most important part of my Plex setup :)

Link to post

Hi,

 

I'm unable to to update PMS to the Plex Plass branch ("Unable to login to Plex Pass with above credentials."). I do of course have a Plex Pass and have checked for the correct credentials in Plexmediaserver.cfg. I can manually download or wget the latest Plex Pass version (0.9.12.9) without problems. Is there a folder where I could manually place the .txz file and have the plugin apply the update?

 

Thanks for any assistance in advance!

Link to post

Hi,

 

I'm unable to to update PMS to the Plex Plass branch ("Unable to login to Plex Pass with above credentials."). I do of course have a Plex Pass and have checked for the correct credentials in Plexmediaserver.cfg. I can manually download or wget the latest Plex Pass version (0.9.12.9) without problems. Is there a folder where I could manually place the .txz file and have the plugin apply the update?

 

Thanks for any assistance in advance!

It does look like it's still working (on my end at least) so might be a connection issue. Also, check that you're password is spelled correct, and has no % in it, and doesn't start with a $.  You can download the file from plex website and put it in /boot/config/plugins/Plexmediaserver and then see if it will install.

 

I would try from command prompt to run '/etc/rc.d/rc.Plexmediaserver latestversion' and see what returns. It should have the version and word PlexPass after the version number.  Also make sure you have not updated to unraid 6.1.

Link to post

Hi,

 

I'm unable to to update PMS to the Plex Plass branch ("Unable to login to Plex Pass with above credentials."). I do of course have a Plex Pass and have checked for the correct credentials in Plexmediaserver.cfg. I can manually download or wget the latest Plex Pass version (0.9.12.9) without problems. Is there a folder where I could manually place the .txz file and have the plugin apply the update?

 

Thanks for any assistance in advance!

It does look like it's still working (on my end at least) so might be a connection issue. Also, check that you're password is spelled correct, and has no % in it, and doesn't start with a $.  You can download the file from plex website and put it in /boot/config/plugins/Plexmediaserver and then see if it will install.

 

I would try from command prompt to run '/etc/rc.d/rc.Plexmediaserver latestversion' and see what returns. It should have the version and word PlexPass after the version number.  Also make sure you have not updated to unraid 6.1.

 

Double- and triple-checked the credentials: they are correct and contain no special characters. Manual download to /boot/config/plugins/Plexmediaserver did not work.

 

'/etc/rc.d/rc.Plexmediaserver latestversion' returns '0.9.12.9.1393-dec22b7 Standard'.

 

Running 6.0.1.

Link to post

Check the config file in /boot/config/plugins/Plexmediaserver folder and make sure it has your proper login info in there too. That's where it's saved to, but sometimes in recent unraid versions the file gets write protected.

Link to post

Hi all,

 

Hope I'm posting this in the right place.

 

Been running 6.0.1 for a while with no issues but as of the last few weeks, SABnzbd has been very unstable; either grabbing 2-3 files max from the queue and stalling and bringing the entire unRAID UI to a halt or refusing to start/restart the SABnzbd plugin. Seeing this error trying restart:

 

Starting SABnzbd... PID not created, application did not start for some reason ... Start Failed

 

Info as follows and diagnostics zip is attached.

 

Dependencies:

 

Python Version:2.7.10

 

SQLite3 Version:3.7.17

 

UnRAR Version:5.01

 

InfoZip Version:6.00

 

Par2CMDLine Version:0.4

Information:

 

Total Storage Usage: 21 MB

 

    Install Directory: 21 MB

 

Your config data will persist after a reboot

 

Plugin Version: 2015.07.28.1

 

Any help is much appreciated, thanks!

 

John

Link to post

HI Guys

 

Im still running version 5 of unraid but i have not been able to upgrade my plex from versionx9.9.x.x for months so i have left it. But yesterday when i tried to access plex from my roku they have updated the client and my older version is not longer compatible so i had to up grade to 9.12.x. i diod this from the plex website but it wouldnt start even though unraid said it had started. posted up the problem in another forum and they suggested using the PHAZE plugin which i did, but im still not able to launch plex and view it via the gui. Any ideas guys.

 

 

Link to post

@finchyboyz

 

Make sure you removed the files(s) that you were using to do the install previously. 

 

Download and install PhaZes plugin per his instructions.

 

 

From the first post in this thread.

Usage (Unraid 5):

- Place .PLG file in /config/plugins/ folder on your USB stick

- Reboot OR run installplg /boot/config/plugins/pluginname.plg from prompt on the server

- Go to the Unraid Settings page, click on the app icon, setup the way you want, and hit apply.

 

Go to the plugins tab and show a screen capture of the plex configuration page.

 

- if Plex won't start, but installs fine, the problem is likely GCC and GCC-G++ packages installed by unmenu. They break the ability to set the locale which Plex needs to have set. These files aren't needed and are safe to remove unless you have any apps that compile from source.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.